<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateHouseCleanOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        /*
         *
        'wechat_id', // 微信号id(open_id)
		'type', // 清洁类型
		'area', // 清洁面积
    	'address', // 服务地址
    	'contact', // 联系人
    	'phone',	//联系电话
		'picture1', // 图片1, 保持的是服务器上的图片地址
		'picture2', // 图片2, 保持的是服务器上的图片地址
		'picture3', // 图片3, 保持的是服务器上的图片地址
		'picture4', // 图片4, 保持的是服务器上的图片地址
		'picture5', // 图片5, 保持的是服务器上的图片地址
    	'status', // 订单状态
        'price' // 订单价格
         */
        Schema::create('house_clean_orders', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();
            $table->string('wechat_id');
            $table->integer('type');
            $table->string('area');
            $table->string('picture1');
            $table->string('picture2');
            $table->string('picture3');
            $table->string('picture4');
            $table->string('picture5');
            $table->string('contact');
            $table->string('address');
            $table->string('phone');
            $table->integer('status');
            $table->double('price');
            $table->string('photo');
            $table->unsignedInteger('comment_id');
            $table->timestamp("paid_at");
            $table->unsignedInteger('classify_id');
            $table->string('classify1');
            $table->string('classify2');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('house_clean_orders');
    }
}
